LibreOffice LibreOffice 4.4 SDK C/C++ API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

Namespaces | Functions
exc_hlp.hxx File Reference
`#include <com/sun/star/uno/Any.hxx>`
`#include <cppuhelper/cppuhelperdllapi.h>`

Go to the source code of this file.

## Namespaces
| cppu

## Functions
CPPUHELPER_DLLPUBLIC void | cppu::throwException (const ::com::sun::star::uno::Any &rExc)
| This function throws the exception given by rExc. More...
CPPUHELPER_DLLPUBLIC::com::sun::star::uno::Any | cppu::getCaughtException ()
| Use this function to get the dynamic type of a caught C++-UNO exception; completes the above function throwing exceptions generically. More...